# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Notifications Get updates on the status of your orders, tokens, and consumer profiles by polling for new notification messages using the Checkout Notifications API. ## How it works The notifications model is a **polling and acknowledgement** model. Here is how it works: 1. Your backend server performs a GET call to the /notifications/receive endpoint to poll for new notification messages. 2. After your backend server processes these messages, it can perform a separate POST call to the /notifications/ack endpoint to acknowledge the receipt of the notification messages. > All notification messages for the past 30 days that have not been acknowledged will continue to be delivered with subsequent polling requests. > ## Notification types Here are the types of notifications you can receive: **Notification types** | Notification type | Description | | --- | --- | | Order (orderNotification) | Order details returned with every transaction. | | Profile (profileNotification) | Consumer profile details returned each time a profile is created or deleted for a merchant-managed consumer in the checkout process. | | Token (tokenNotification) | Token’s success or failure status each time a payment token is processed. | **Notifications API endpoints** - GET /notifications — Used to retrieve historical notifications for a specified time period. - POST /notifications/ack — Used to acknowledge notifications. If notifications are not acknowledged, the same notifications will reappear when trying to receive notification messages. - GET /notifications/receive — Used to poll notifications. Supports long-poll calls using the timeout argument for live notifications. ## Related [Manage checkout notifications](/docs/commerce/online-payments/capabilities/checkout/how-to/manage-checkout-notifications)